Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::Sensor Struct Reference

Specification of a Sensor. More...

Inheritance diagram for peripheral::GatewaySensorManager::Sensor:

## Public Attributes

string | sensorId
| Unique sensor id, is automatically generated if not set.
boolean | disabled
| Set disabled = true prevents any usage of the specification.
string | deviceId
| remote device id More...
string | classId
| sensor class id More...
string | encodingId
| sensor encoding id More...
string | defaultName
| default sensor name More...

## Detailed Description

Specification of a Sensor.

## Member Data Documentation

## classId

string peripheral::GatewaySensorManager::Sensor::classId

sensor class id

classId is used to locate the corresponding SensorClass. classId = "" prevents the sensor specification from being used for an imported gateway sensor. The sensor value is read anyway, and a read error or a interpretation as Interpretation::REJECT_DEVICE prevents the successful detection of the device

## defaultName

string peripheral::GatewaySensorManager::Sensor::defaultName

default sensor name

defaultName is used as sensor slot name

## deviceId

string peripheral::GatewaySensorManager::Sensor::deviceId

remote device id

deviceId is used to locate the corresponding RemoteDevice that provides the physical sensor

## encodingId

string peripheral::GatewaySensorManager::Sensor::encodingId

sensor encoding id

classId is used to locate the corresponding ValueEncoding

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl